Index: /extensions/rv_akismet/admin.php
===================================================================
--- /extensions/rv_akismet/admin.php	(revision 6671)
+++ /extensions/rv_akismet/admin.php	(revision 6672)
@@ -1,4 +1,6 @@
 <?php
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+load_language('plugin.lang', AKIS_PATH);
 
 function test_akismet()
Index: /extensions/rv_akismet/admin.tpl
===================================================================
--- /extensions/rv_akismet/admin.tpl	(revision 6671)
+++ /extensions/rv_akismet/admin.tpl	(revision 6672)
@@ -1,21 +1,21 @@
 
-<p>This plugin verifies if your comments are spam using the <a href="http://www.akismet.com" target="_blank">akismet online service</a>.</p>
+<p>{'This plugin verifies if your comments are spam using the <a href="http://www.akismet.com" target="_blank">akismet online service'|@translate}</a>.</p>
 
-<p>Akismet has caught <b>{$AKISMET_SPAM_COMMENTS} spam comments</b> out of {$AKISMET_CHECKED_COMMENTS} comments (<a href="{$AKISMET_RESET_STATS_URL}">reset counters</a>).
+<p>{'Akismet has caught'|@translate} <b>{$AKISMET_SPAM_COMMENTS} {'spam comments'|@translate}</b> {'out of'|@translate} {$AKISMET_CHECKED_COMMENTS} {'comments'|@translate} (<a href="{$AKISMET_RESET_STATS_URL}">{'reset counters'|@translate}</a>).
 {if ! empty($AKISMET_API_KEY)}
-More statistics on <a href="http://{$AKISMET_API_KEY}.web.akismet.com/1.0/user-stats.php?blog={$AKISMET_BLOG_URL|@escape:url}" target="_new">akismet site</a>.
+{'More statistics on'|@translate} <a href="http://{$AKISMET_API_KEY}.web.akismet.com/1.0/user-stats.php?blog={$AKISMET_BLOG_URL|@escape:url}" target="_new">{'akismet site'|@translate}</a>.
 {/if}
 </p>
 <form method="post" class="properties">
 <fieldset>
-  <legend>Akismet configuration</legend>
+  <legend>{'Akismet configuration'|@translate}</legend>
   <ul>
   
   <li>
   <label>
-    Akismet API Key:
+    {'Akismet API Key:'|@translate}
     <input type="text" size="48" name="akismet_api_key" value="{$AKISMET_API_KEY}" />
   </label>
-    <br/>Signup for a personal usage key here: <a href="http://akismet.com/personal/" target="_blank">http://akismet.com/personal/</a>.
+    <br/>{'Signup for a personal usage key here:'|@translate} <a href="http://akismet.com/personal/" target="_blank">http://akismet.com/personal/</a>.
   </li>
   
@@ -24,5 +24,5 @@
   <li>
   <label>
-    Action when spam is detected:
+    {'Action when spam is detected:'|@translate}
     <select name="akismet_spam_action">
     	{html_options values='moderate,reject'|@explode output='moderate,reject'|@explode selected=$AKISMET_SPAM_ACTION }
@@ -36,3 +36,3 @@
 </fieldset>
 </form>
-<p><a href="{$AKISMET_TEST_URL}">Test your configuration</a>.</p>
+<p><a href="{$AKISMET_TEST_URL}">{'Test your configuration'|@translate}</a>.</p>
Index: /extensions/rv_akismet/language/en_UK/description.txt
===================================================================
--- /extensions/rv_akismet/language/en_UK/description.txt	(revision 6672)
+++ /extensions/rv_akismet/language/en_UK/description.txt	(revision 6672)
@@ -0,0 +1,1 @@
+Uses Akismet online service to check comments agains spam
Index: /extensions/rv_akismet/language/en_UK/index.php
===================================================================
--- /extensions/rv_akismet/language/en_UK/index.php	(revision 6672)
+++ /extensions/rv_akismet/language/en_UK/index.php	(revision 6672)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_akismet/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/rv_akismet/language/en_UK/plugin.lang.php	(revision 6672)
+++ /extensions/rv_akismet/language/en_UK/plugin.lang.php	(revision 6672)
@@ -0,0 +1,26 @@
+<?php
+
+//admin.tpl
+$lang['This plugin verifies if your comments are spam using the <a href="http://www.akismet.com" target="_blank">akismet online service'] = 'This plugin verifies if your comments are spam using the <a href="http://www.akismet.com" target="_blank">akismet online service';
+$lang['Akismet has caught'] = 'Akismet has caught';
+$lang['spam comments'] = 'spam comments';
+$lang['out of'] = 'out of';
+$lang['comments'] = 'comments';
+$lang['reset counters'] = 'reset counters';
+$lang['More statistics on'] = 'More statistics on';
+$lang['akismet site'] = 'akismet site';
+$lang['Akismet configuration'] = 'Akismet configuration';
+$lang['Akismet API Key:'] = 'Akismet API Key:';
+$lang['Signup for a personal usage key here:'] = 'Signup for a personal usage key here:';
+$lang['Action when spam is detected:'] = 'Action when spam is detected:';
+$lang['moderate'] = 'moderate';
+$lang['reject'] = 'reject';
+$lang['Test your configuration'] = 'Test your configuration';
+
+
+//maintain.inc.php
+$lang['You need to define the Akismet api key'] = 'You need to define the Akismet api key';
+
+//akismet.class.php
+$lang['Your Akismet API key is not valid.'] = 'Your Akismet API key is not valid.';
+?>
Index: /extensions/rv_akismet/language/es_ES/description.txt
===================================================================
--- /extensions/rv_akismet/language/es_ES/description.txt	(revision 6672)
+++ /extensions/rv_akismet/language/es_ES/description.txt	(revision 6672)
@@ -0,0 +1,1 @@
+Usa el servicio Akismet en línea para comprobar comentarios agains el bombardeo publicitario
Index: /extensions/rv_akismet/language/es_ES/index.php
===================================================================
--- /extensions/rv_akismet/language/es_ES/index.php	(revision 6672)
+++ /extensions/rv_akismet/language/es_ES/index.php	(revision 6672)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_akismet/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/rv_akismet/language/es_ES/plugin.lang.php	(revision 6672)
+++ /extensions/rv_akismet/language/es_ES/plugin.lang.php	(revision 6672)
@@ -0,0 +1,27 @@
+<?php
+
+//admin.tpl
+$lang['This plugin verifies if your comments are spam using the <a href="http://www.akismet.com" target="_blank">akismet online service'] = 'Este de enchufe verifica si sus comentarios son el bombardeo publicitario que usa el <a href="http://www.akismet.com" target="_blank">akismet el servicio en línea';
+$lang['Akismet has caught'] = 'Akismet ha cogido';
+$lang['spam comments'] = 'comentarios de bombardeo publicitario';
+$lang['out of'] = 'fuera de';
+$lang['comments'] = 'comentarios';
+$lang['reset counters'] = 'restablecer los contadores';
+$lang['More statistics on'] = 'Más estadísticas sobre';
+$lang['akismet site'] = 'sitio akismet';
+$lang['Akismet configuration'] = 'Akismet configuración';
+$lang['Akismet API Key:'] = 'Akismet API Llave:';
+$lang['Signup for a personal usage key here:'] = 'Signup para una llave de uso personal aquí:';
+$lang['Action when spam is detected:'] = 'La acción cuando el bombardeo publicitario es descubierto:';
+$lang['moderate'] = 'ES moderate';
+$lang['reject'] = 'ES reject';
+$lang['Test your configuration'] = 'Pruebe su configuración';
+
+
+//maintain.inc.php
+$lang['You need to define the Akismet api key'] = 'Usted tiene que definir el Akismet api la llave';
+
+//akismet.class.php
+$lang['Your Akismet API key is not valid.'] = 'Su Akismet API la llave no es válido.';
+
+?>
Index: /extensions/rv_akismet/language/fr_FR/description.txt
===================================================================
--- /extensions/rv_akismet/language/fr_FR/description.txt	(revision 6672)
+++ /extensions/rv_akismet/language/fr_FR/description.txt	(revision 6672)
@@ -0,0 +1,1 @@
+Utiliser Akismet en ligne pour vérifier que vos commentaire ne sont pas des spams
Index: /extensions/rv_akismet/language/fr_FR/index.php
===================================================================
--- /extensions/rv_akismet/language/fr_FR/index.php	(revision 6672)
+++ /extensions/rv_akismet/language/fr_FR/index.php	(revision 6672)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_akismet/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/rv_akismet/language/fr_FR/plugin.lang.php	(revision 6672)
+++ /extensions/rv_akismet/language/fr_FR/plugin.lang.php	(revision 6672)
@@ -0,0 +1,25 @@
+<?php
+
+//admin.tpl
+$lang['This plugin verifies if your comments are spam using the <a href="http://www.akismet.com" target="_blank">akismet online service'] = 'Ce plugin vérifie si vos commentaires sont du spam en utilisant les services d\'<a href="http://www.akismet.com" target="_blank">akismet en ligne';
+$lang['Akismet has caught'] = 'Akismet a détecté';
+$lang['spam comments'] = 'commentaires comme spam';
+$lang['out of'] = 'sur les';
+$lang['comments'] = 'commentaires';
+$lang['reset counters'] = 'Reset du compteur';
+$lang['More statistics on'] = 'Plus de statistique sur';
+$lang['akismet site'] = 'site akismet';
+$lang['Akismet configuration'] = 'Configuration d\'Akismet';
+$lang['Akismet API Key:'] = 'Clé API d\'Akismet :';
+$lang['Signup for a personal usage key here:'] = 'S\'inscrire pour obtenir une clé personel ici :';
+$lang['Action when spam is detected:'] = 'Action lors de la détection de spam :';
+$lang['moderate'] = 'moderer';
+$lang['reject'] = 'rejecter';
+$lang['Test your configuration'] = 'Tester votre configuration';
+
+//maintain.inc.php
+$lang['You need to define the Akismet api key'] = 'Vous avez besoins de définir la clé API d\'Akismet';
+
+//akismet.class.php
+$lang['Your Akismet API key is not valid.'] = 'Votre clé API d\'Akismet n\est pas valide.';
+?>
Index: /extensions/rv_akismet/language/index.php
===================================================================
--- /extensions/rv_akismet/language/index.php	(revision 6672)
+++ /extensions/rv_akismet/language/index.php	(revision 6672)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_akismet/main.inc.php
===================================================================
--- /extensions/rv_akismet/main.inc.php	(revision 6671)
+++ /extensions/rv_akismet/main.inc.php	(revision 6672)
@@ -7,4 +7,7 @@
 Author URI: http://www.modusoptimus.com
 */
+
+define('AKIS_DIR' , basename(dirname(__FILE__)));
+define('AKIS_PATH' , PHPWG_PLUGINS_PATH . AKIS_DIR . '/');
 
 add_event_handler('user_comment_check', 'akismet_user_comment_check_wrapper', EVENT_HANDLER_PRIORITY_NEUTRAL+10, 2);
@@ -17,5 +20,6 @@
 	if ( empty($conf['akismet_api_key']) and in_array($page['page'], array('intro','plugins_list')) )
 	{
-		$page['errors'][] = 'You need to define the Akismet api key';
+		load_language('plugin.lang', AKIS_PATH);
+		$page['errors'][] = l10n('You need to define the Akismet api key');
 	}
 	$admin_url = get_admin_plugin_menu_link(dirname(__FILE__).'/admin.php');