Index: /trunk/language/ar_SA/admin.lang.php
===================================================================
--- /trunk/language/ar_SA/admin.lang.php	(revision 6675)
+++ /trunk/language/ar_SA/admin.lang.php	(revision 6676)
@@ -620,3 +620,4 @@
 $lang['Purge search history'] = 'معالجة احصائيات البحث';
 $lang['Hide'] = 'أخفاء';
+$lang['Menu Management'] = 'القائمة الرئيسية';
 ?>
Index: /trunk/language/cs_CZ/admin.lang.php
===================================================================
--- /trunk/language/cs_CZ/admin.lang.php	(revision 6675)
+++ /trunk/language/cs_CZ/admin.lang.php	(revision 6676)
@@ -756,9 +756,8 @@
 $lang['user_status_generic'] = 'Všeobecné';
 $lang['IP'] = 'IP';
-// missing translations
 $lang['By rank'] = 'Podle hodnoceni';
 $lang['Manual order'] = 'Řazeno ručně';
 $lang['Order of menubar items has been updated successfully.'] = 'Pořadí položek v menu bylo úspěšně aktualizováno.';
 $lang['This theme was not designed to be directly activated'] = 'Toto téma nebylo navrženo tak, aby bylo přímo aktivovatelné';
-
+$lang['Menu Management'] = 'Další funkce';
 ?>
Index: /trunk/language/da_DK/admin.lang.php
===================================================================
--- /trunk/language/da_DK/admin.lang.php	(revision 6675)
+++ /trunk/language/da_DK/admin.lang.php	(revision 6676)
@@ -754,4 +754,4 @@
 $lang['This theme was not designed to be directly activated'] = 'Dette tema er ikke designet til at blive aktiveret direkte';
 $lang['Pending Comments'] = 'Ventende kommentarer';
-
+$lang['Menu Management'] = 'Menu';
 ?>
Index: /trunk/language/de_DE/admin.lang.php
===================================================================
--- /trunk/language/de_DE/admin.lang.php	(revision 6675)
+++ /trunk/language/de_DE/admin.lang.php	(revision 6676)
@@ -754,3 +754,4 @@
 $lang['This theme was not designed to be directly activated'] = 'Dieses Layout kann nicht direkt aktiviert werden';
 $lang['Pending Comments'] = 'Freizugebende Kommentare';
+$lang['Menu Management'] = 'Menü';
 ?>
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 6675)
+++ /trunk/language/en_UK/admin.lang.php	(revision 6676)
@@ -770,5 +770,4 @@
 $lang['Unknown upload error'] = 'Unknown upload error';
 $lang['Error on file "%s" : %s'] = 'Error on file "%s" : %s';
-
-$lang['Menu Management'] = 'Menu Management';
+$lang['Menu Management'] = 'Menus';
 ?>
Index: /trunk/language/es_ES/admin.lang.php
===================================================================
--- /trunk/language/es_ES/admin.lang.php	(revision 6675)
+++ /trunk/language/es_ES/admin.lang.php	(revision 6676)
@@ -751,3 +751,4 @@
 $lang['Who can see this photo?'] = '¿Quien puede ver esta foto?';
 $lang['Pending Comments'] = 'Comentarios pendientes';
+$lang['Menu Management'] = 'Menú';
 ?>
Index: /trunk/language/fr_CA/admin.lang.php
===================================================================
--- /trunk/language/fr_CA/admin.lang.php	(revision 6675)
+++ /trunk/language/fr_CA/admin.lang.php	(revision 6676)
@@ -766,3 +766,4 @@
 $lang['This theme was not designed to be directly activated'] = 'Ce thème n\'est pas conçu pour être activé directement';
 $lang['Pending Comments'] = 'Commentaires en attente';
+$lang['Menu Management'] = 'Menus';
 ?>
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 6675)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 6676)
@@ -775,5 +775,4 @@
 $lang['Unknown upload error'] = 'Erreur inconnue survenue lors du transfert';
 $lang['Error on file "%s" : %s'] = 'Erreur sur le fichier "%s" : %s';
-
-$lang['Menu Management'] = 'Gestion des menus';
+$lang['Menu Management'] = 'Menus';
 ?>
Index: /trunk/language/hr_HR/admin.lang.php
===================================================================
--- /trunk/language/hr_HR/admin.lang.php	(revision 6675)
+++ /trunk/language/hr_HR/admin.lang.php	(revision 6676)
@@ -750,3 +750,4 @@
 $lang['Order of menubar items has been updated successfully.'] = 'Redoslijed  stavki izborne trake je uspješno obnovljen.';
 $lang['This theme was not designed to be directly activated'] = 'Ova tema nije zamišljena za neposrednu postavu'; 
+$lang['Menu Management'] = 'Izbornik';
 ?>
Index: /trunk/language/hu_HU/admin.lang.php
===================================================================
--- /trunk/language/hu_HU/admin.lang.php	(revision 6675)
+++ /trunk/language/hu_HU/admin.lang.php	(revision 6676)
@@ -759,3 +759,4 @@
 $lang['Pending Comments'] = 'Hozzászólások (függőben)';
 $lang['Who can see this photo?'] = 'Ki láthatja ezt a képet?';
+$lang['Menu Management'] = 'Menü';
 ?>
Index: /trunk/language/it_IT/admin.lang.php
===================================================================
--- /trunk/language/it_IT/admin.lang.php	(revision 6675)
+++ /trunk/language/it_IT/admin.lang.php	(revision 6676)
@@ -761,3 +761,4 @@
 $lang['This theme was not designed to be directly activated'] = 'Questo tema non è stato progettato per essere attivato direttamente';
 $lang['Pending Comments'] = 'Commenti in attesa';
+$lang['Menu Management'] = 'Menu';
 ?>
Index: /trunk/language/ja_JP/admin.lang.php
===================================================================
--- /trunk/language/ja_JP/admin.lang.php	(revision 6675)
+++ /trunk/language/ja_JP/admin.lang.php	(revision 6676)
@@ -751,3 +751,4 @@
 $lang['This theme was not designed to be directly activated'] = 'このテーマは直接有効化になりません。';
 $lang['Pending Comments'] = 'コメントを確認待ち';
+$lang['Menu Management'] = 'メニュー';
 ?>
Index: /trunk/language/ka_GE/admin.lang.php
===================================================================
--- /trunk/language/ka_GE/admin.lang.php	(revision 6675)
+++ /trunk/language/ka_GE/admin.lang.php	(revision 6676)
@@ -764,3 +764,4 @@
 $lang['Who can see this photo?'] = 'ვის შეუძლია ამ ფოტოს ნახვა?';
 $lang['Pending Comments'] = 'კომენტარის მოლოდინში';
+$lang['Menu Management'] = 'მენიუ';
 ?>
Index: /trunk/language/nl_NL/admin.lang.php
===================================================================
--- /trunk/language/nl_NL/admin.lang.php	(revision 6675)
+++ /trunk/language/nl_NL/admin.lang.php	(revision 6676)
@@ -750,3 +750,4 @@
 $lang['Who can see this photo?'] = 'Wie mag deze afbeelding zien?';
 $lang['Pending Comments'] = 'Nog niet goedgekeurde commentaren';
+$lang['Menu Management'] = 'Menu';
 ?>
Index: /trunk/language/pl_PL/admin.lang.php
===================================================================
--- /trunk/language/pl_PL/admin.lang.php	(revision 6675)
+++ /trunk/language/pl_PL/admin.lang.php	(revision 6676)
@@ -766,3 +766,4 @@
 $lang['Unknown upload error'] = 'Nieznany błąd podczas wgrywania';
 $lang['Error on file "%s" : %s'] = 'Błąd w pliku"%s" : %s';
+$lang['Menu Management'] = 'Menu';
 ?>
Index: /trunk/language/pt_BR/admin.lang.php
===================================================================
--- /trunk/language/pt_BR/admin.lang.php	(revision 6675)
+++ /trunk/language/pt_BR/admin.lang.php	(revision 6676)
@@ -620,3 +620,4 @@
 $lang['User Upload'] = 'Upload de usuários';
 $lang['Virtual Links'] = 'Links virtuais';
+$lang['Menu Management'] = 'Menu';
 ?>
Index: /trunk/language/pt_PT/admin.lang.php
===================================================================
--- /trunk/language/pt_PT/admin.lang.php	(revision 6675)
+++ /trunk/language/pt_PT/admin.lang.php	(revision 6676)
@@ -620,3 +620,4 @@
 $lang['User Upload'] = 'Upload de usuários';
 $lang['Virtual Links'] = 'Links virtuais';
+$lang['Menu Management'] = 'Menu';
 ?>
Index: /trunk/language/ru_RU/admin.lang.php
===================================================================
--- /trunk/language/ru_RU/admin.lang.php	(revision 6675)
+++ /trunk/language/ru_RU/admin.lang.php	(revision 6676)
@@ -752,3 +752,4 @@
 $lang['Who can see this photo?'] = 'Кто может смотреть эту фотографию?';
 $lang['Pending Comments'] = 'Ожидающие комментарии';
+$lang['Menu Management'] = 'Меню';
 ?>
Index: /trunk/language/sr_RS/admin.lang.php
===================================================================
--- /trunk/language/sr_RS/admin.lang.php	(revision 6675)
+++ /trunk/language/sr_RS/admin.lang.php	(revision 6676)
@@ -749,3 +749,4 @@
 $lang['Add another set of photos'] = 'Dodaj drugi set fotografija';
  $lang['Order of menubar items has been updated successfully.'] = ' Poredak elemenata u izborniku je uspešno ažuriran.';
+$lang['Menu Management'] = 'Izbornik';
 ?>
Index: /trunk/language/vi_VN/admin.lang.php
===================================================================
--- /trunk/language/vi_VN/admin.lang.php	(revision 6675)
+++ /trunk/language/vi_VN/admin.lang.php	(revision 6676)
@@ -617,3 +617,4 @@
 $lang['Purge search history'] = 'Dọn dẹp bản ghi tìm kiếm';
 $lang['Hide'] = 'Ẩn';
+$lang['Menu Management'] = 'Trình đơn';
 ?>
Index: /trunk/language/zh_CN/admin.lang.php
===================================================================
--- /trunk/language/zh_CN/admin.lang.php	(revision 6675)
+++ /trunk/language/zh_CN/admin.lang.php	(revision 6676)
@@ -749,3 +749,4 @@
 $lang['Who can see this photo?'] = '有哪些人能看这些相片?';
 $lang['Pending Comments'] = '待批的评论';
+$lang['Menu Management'] = '菜单';
 ?>