Index: /branches/2.1/language/lv_LV/about.html
===================================================================
--- /branches/2.1/language/lv_LV/about.html	(revision 6682)
+++ /branches/2.1/language/lv_LV/about.html	(revision 6682)
@@ -0,0 +1,7 @@
+  <li>Piwigo - tas ir skripts, kas ļauj viegli uzbūvēt online galeriju.</li>
+
+  <li>Piwigo galerija ir radīta ar PHP (elePHPant) izmantojot MySQL (SQuirreL) datu bāzi.</li>
+
+  <li>Ja jums ir ierosinājumi vai vēlējumi skripta sakarā, adresējiet to  <a
+  href="http://ru.piwigo.org">Piwigo</a>, vai atstājiet <a href="http://ru.piwigo.org/forum">forumā</a>.</li>
+
Index: /branches/2.1/language/lv_LV/common.lang.php
===================================================================
--- /branches/2.1/language/lv_LV/common.lang.php	(revision 6682)
+++ /branches/2.1/language/lv_LV/common.lang.php	(revision 6682)
@@ -0,0 +1,380 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Langage informations
+$lang_info['language_name'] = "Latvian";
+$lang_info['country'] = "Latvia";
+$lang_info['direction'] = "ltr";
+$lang_info['code'] = "lv";
+$lang_info['zero_plural'] = true;
+
+$lang['%.2f (rated %d times)'] = '%.2f (nobalsots %d reizes)';
+$lang['%d Kb'] = '%d Kb';
+$lang['%d category updated'] = "%d kategorija atjaunota";
+$lang['%d categories updated'] = "%d kategorijas atjaunotas";
+$lang['%d comment to validate'] = "%d apstiprināt komentārus";
+$lang['%d comments to validate'] = "%d apstiprināt komentarus";
+$lang['%d new comment'] = "%d jauns komentārs";
+$lang['%d new comments'] = "%d jauni komentāri";
+$lang['%d comment'] = "%d komentārs";
+$lang['%d comments'] = "%d komentāri";
+$lang['%d hit'] = "%d skatījums";
+$lang['%d hits'] = "%d skatījumi";
+$lang['%d new image'] = "%d jauns attēls";
+$lang['%d new images'] = "%d jauni attēli";
+$lang['%d new user'] = "%d jauns lietotājs";
+$lang['%d new users'] = "%d jauni lietotāji";
+$lang['%d waiting element'] = "%d gaidīt elementu";
+$lang['%d waiting elements'] = "%d gaidīt elementus";
+$lang['About'] = "Par";
+$lang['All tags'] = "Visi tagi";
+$lang['Any tag'] = "Jabkurš tags";
+$lang['At least one listed rule must be satisfied.'] = "Ir jaapmierina vismaz viens piedāvātais kritērijs.";
+$lang['At least one tag must match'] = "Jāsakrīt vismaz vienam tagam";
+$lang['Author'] = "Autors";
+$lang['Average rate'] = "Vidējais novērtejums";
+$lang['Categories'] = "Kategorijas";
+$lang['Category'] = "Kategorija";
+$lang['Close this window'] = "Aizveriet šo logu";
+$lang['Complete RSS feed (images, comments)'] = "Pabeidziet RSS padevi (attēli, komentāri)";
+$lang['Confirm Password'] = "Apstiprināt paroli";
+$lang['Connection settings'] = "Savienojuma iestatījumi";
+$lang['Login'] = "Ielogoties";
+$lang['Contact webmaster'] = "Savienot ar webmaster";
+$lang['Create a new account'] = "Izveidot jaunu kontu";
+$lang['Created on'] = "Izveidots";
+$lang['Creation date'] = "Izveidošanas datums";
+$lang['Current password is wrong'] = "Patrreizējā parole ir nepareiza";
+$lang['Dimensions'] = "Izmēri";
+$lang['Display'] = "Displejs";
+$lang['Each listed rule must be satisfied.'] = "Ir jāapmierina visus piedāvātos kritērijus.";
+$lang['Email address'] = "E-pasta adrese";
+$lang['Enter your personnal informations'] = "Ievadiet savus datus";
+$lang['Error sending email'] = "Kļūda nosūtot e-pastu";
+$lang['File name'] = "Faila vārds";
+$lang['File'] = "Fails";
+$lang['Filesize'] = "Faila izmērs";
+$lang['Filter and display'] = "Filtrēt un attēlot";
+$lang['Filter'] = "Filtrs";
+$lang['Forgot your password?'] = "Aizmirsāt paroli?";
+$lang['Go through the gallery as a visitor'] = "Skatīt galeriju ka apmeklētājam";
+$lang['Help'] = "Palīgs";
+$lang['Identification'] = "Identifikācija";
+$lang['Image only RSS feed'] = "Tkai RSS piegādes attēli";
+$lang['Keyword'] = "Atslēgvārds";
+$lang['Links'] = "Saites";
+$lang['Mail address'] = "Pasta adrese";
+$lang['N/A'] = "N/A";
+$lang['New on %s'] = "Jauns %s";
+$lang['New password confirmation does not correspond'] = "Jaunas paroles apstiprinājums nesakrīt";
+$lang['New password sent by email'] = "Jaunā parole izsūtīta pa e-pastu";
+$lang['No email address'] = "Nav e-pasta adreses";
+$lang['No classic user matches this email address'] = "Klasiskā lietotāja e-pasta adrese nesakrīt ar šo adresi";
+$lang['Notification'] = "Paziņojums";
+$lang['Number of items'] = "Vienību skaits";
+$lang['Original dimensions'] = "Oriģinālie izmēri";
+$lang['Password forgotten'] = "Aizmirsta parole";
+$lang['Password'] = "Parole";
+$lang['Post date'] = "Ievietošanas datums";
+$lang['Posted on'] = "Ievietots";
+$lang['Profile'] = "Profils";
+$lang['Quick connect'] = "Ātrais savienojums";
+$lang['RSS feed'] = "RSS padeve";
+$lang['Rate'] = "Vērtējums";
+$lang['Register'] = "Reģistrs";
+$lang['Registration'] = "Reģistrācija";
+$lang['Related tags'] = "Radniecīgie tagi";
+$lang['Reset'] = "Restartēt";
+$lang['Retrieve password'] = "Iegūt paroli";
+$lang['Search rules'] = "Meklēšanas kritēriji";
+$lang['Search tags'] = "Meklēt tagus";
+$lang['Search'] = "Meklēt";
+$lang['See available tags'] = "Skatīt pieejamos tagus";
+$lang['Send new password'] = "Sūtīt jaunu paroli";
+$lang['Since'] = "Kopš";
+$lang['Sort by'] = "Sarindot pēc";
+$lang['Sort order'] = "Rindošanas secība";
+$lang['Tag'] = "Tags";
+$lang['Tags'] = "Tagi";
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = "RSS informē par jaunumiem no šis vietnes: jauni attēli, atjauninātas kategorijas, jauni komentāri. Lietojami ar RSS piegades lasītāju.";
+$lang['Unknown feed identifier'] = "Nezināms piegādes identifikators";
+$lang['User comments'] = "Lietotāja komentāri";
+$lang['Username'] = "Lietotājvārds";
+$lang['Visits'] = "Apmeklējumi";
+$lang['Webmaster'] = "Webmasters";
+$lang['Week %d'] = "Nedēļa %d";
+$lang['About Piwigo'] = "Par Piwigo";
+$lang['You are not authorized to access the requested page'] = "Jūs neēsat autorizējies, lai piekļūtu šai lapai";
+$lang['add to caddie'] = "pievienot caddie";
+$lang['add this image to your favorites'] = "pievienot šo attēlu jūsu izlasei";
+$lang['Administration'] = "Administrēšana";
+$lang['Adviser mode enabled'] = "Ieslēgts padomdēvēja režīms";
+$lang['all'] = "visi";
+$lang['ascending'] = "augšupejošs";
+$lang['author(s) : %s'] = "autors(i) : %s";
+$lang['Expand all categories'] = "Izvērst visas kategorijas";
+$lang['posted after %s (%s)'] = "ievietots pēc %s (%s)";
+$lang['posted before %s (%s)'] = "ievietots pirms %s (%s)";
+$lang['posted between %s (%s) and %s (%s)'] = "ievietots starp %s (%s) un %s (%s)";
+$lang['posted on %s'] = "ievietots %s";
+$lang['Best rated'] = "Vislabāk novērtētais";
+$lang['display best rated items'] = "attēlot labāk novērtētos attēlus";
+$lang['caddie'] = "Caddie";
+$lang['Calendar'] = "Kalendārs";
+$lang['All'] = "Visi";
+$lang['display each day with pictures, month per month'] = "attēlot dienas ar attēliem ik mēnesi";
+$lang['View'] = "Skatīt";
+$lang['chronology_monthly_calendar'] = "Mēnesis";
+$lang['chronology_monthly_list'] = "Datums";
+$lang['chronology_weekly_list'] = "Nedēļas diena";
+$lang['Click here if your browser does not automatically forward you'] = "Klikšķiniet šeit, ja pārlūks jūs automatiksti neparsledz";
+$lang['comment date'] = "komentāra datums";
+$lang['Comment'] = "Komentārs";
+$lang['Your comment has been registered'] = "Jūsu komentārs ir reģistrēts";
+$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = "Atipārpildīšanās : lūdzu pagaidiet pirms sūtīt jaunu komentāru";
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = "Jūsu komentārs nav reģistrēts, jo neatbilst nosacījumiem";
+$lang['An administrator must authorize your comment before it is visible.'] = "Administrātoram ir jāpārbauda jūsu komentārs pirms tas tiks parādīts.";
+$lang['This login is already used by another user'] = "Šo loginu jau izmanto cits lietotājs";
+$lang['Comments'] = "Komentāri";
+$lang['Add a comment'] = "Pievienot komentāru";
+$lang['created after %s (%s)'] = "izveidots pēc %s (%s)";
+$lang['created before %s (%s)'] = "izveidots pirms %s (%s)";
+$lang['created between %s (%s) and %s (%s)'] = "izveidots starp %s (%s) and %s (%s)";
+$lang['created on %s'] = "izveidots %s";
+$lang['Customize'] = "Pielāgot";
+$lang['Your Gallery Customization'] = "Jūs Galerijas pielāgošana";
+$lang['day'][0] = "Svētdiena";
+$lang['day'][1] = "Pirmdiena";
+$lang['day'][2] = "Otrdiena";
+$lang['day'][3] = "Trešdiena";
+$lang['day'][4] = "Ceturtdiena";
+$lang['day'][5] = "Piektdiena";
+$lang['day'][6] = "Sestdiena";
+$lang['Default'] = "Noklusējums";
+$lang['delete this image from your favorites'] = "dzēst šo attēlu mo izvēlētajiem";
+$lang['Delete'] = "Dzēst";
+$lang['descending'] = "lejupejošs";
+$lang['download'] = "lejupielādēt";
+$lang['download this file'] = "lejupielādēt šo failu";
+$lang['edit'] = "labot";
+$lang['wrong date'] = "nepareizs datums";
+$lang['excluded'] = "izņemtais";
+$lang['My favorites'] = "Mani izvēlētie";
+$lang['display my favorites pictures'] = "parādīt manus izvēlētos attēlus";
+$lang['Favorites'] = "Izvēlētie";
+$lang['First'] = "Pirmais";
+$lang['The gallery is locked for maintenance. Please, come back later.'] = "Galerija slēgta apkopei, lūdzu apmeklējiet to vēlāk.";
+$lang['Page generated in'] = "Uzģenerēta lappuse";
+$lang['guest'] = "viesis";
+$lang['Hello'] = "Sveiki";
+$lang['available for administrators only'] = "pieeja tikai administratoriem";
+$lang['shows images at the root of this category'] = "parādīt attēlus no pamatkataloga";
+$lang['See last users comments'] = "Apskatīt pēdējos lietotāju komentārus";
+$lang['customize the appareance of the gallery'] = "pielāgot galerijas izskatu";
+$lang['search'] = "meklēt";
+$lang['Home'] = "Sākums";
+$lang['Identification'] = "Identifikācija";
+$lang['in this category'] = "šajā kategorijā";
+$lang['in %d sub-category'] = "%d apakškategorijā";
+$lang['in %d sub-categories'] = "%d apakškategorijās";
+$lang['included'] = "iekļauts";
+$lang['Invalid password!'] = "Nepareiza parole!";
+$lang['Language'] = "Valoda";
+$lang['last %d days'] = "pēdējās %d dienas";
+$lang['Last'] = "Pēdējais";
+$lang['Logout'] = "Iziet";
+$lang['E-mail address'] = "E-pasta adreses";
+$lang['obligatory'] = "obligāts";
+$lang['Maximum height of the pictures'] = "Attēla maksimālais augstums";
+$lang['Maximum height must be a number superior to 50'] = "Maksimālajam augstumam jābūt lielākam par 50";
+$lang['Maximum width of the pictures'] = "Attēla maksimālais platums";
+$lang['Maximum width must be a number superior to 50'] = "Maksimālajam platumam jābūt lielākam par 50";
+$lang['display a calendar by creation date'] = "rāda kalendārā izveides datumu";
+$lang['display all elements in all sub-categories'] = "parādīt attēlus visās apakškategorijās";
+$lang['return to normal view mode'] = "atgriezties normālajā apskates režīmā";
+$lang['display a calendar by posted date'] = "rāda kalendārā iesniegšanas datumu";
+$lang['month'][10] = "Oktobris";
+$lang['month'][11] = "Novembris";
+$lang['month'][12] = "Decembris";
+$lang['month'][1] = "Janvāris";
+$lang['month'][2] = "Februāris";
+$lang['month'][3] = "Marts";
+$lang['month'][4] = "Aprīlis";
+$lang['month'][5] = "Maijs";
+$lang['month'][6] = "Jūnijs";
+$lang['month'][7] = "Jūlijs";
+$lang['month'][8] = "Augusts";
+$lang['month'][9] = "Septembris";
+$lang['Most visited'] = "Visapmeklētākie";
+$lang['display most visited pictures'] = "parādīt visapmeklētākos attēlus";
+$lang['The number of images per row must be a not null scalar'] = "Attēlu skaitam rindā jābut lielākam par 0 un veselam skaitlim";
+$lang['Number of images per row'] = "Attēlu skaits rindā";
+$lang['The number of rows per page must be a not null scalar'] = "Rindu skaitam lapā jābut lielākam par 0 un veselam skaitlim";
+$lang['Number of rows per page'] = "Rindu skaits lapā";
+$lang['Unknown identifier'] = "Nezināms identifikators";
+$lang['New password'] = "Jauna parole";
+$lang['Rate this picture'] = "Vērtējiet šo attēlu";
+$lang['Next'] = "Nākamais";
+$lang['no rate'] = "nav novērtējuma";
+$lang['Elements posted within the last %d day.'] = "Attēli, kas publicēti tikai %d dienā.";
+$lang['Elements posted within the last %d days.'] = "Attēli, kas publicēti tikai %d dienās.";
+$lang['password updated'] = "parole izmainīta";
+$lang['Recent period must be a positive integer value'] = "Tekošajam periodam jābūt veselam skaitlim";
+$lang['picture'] = "attēls";
+$lang['Click on the picture to see it in high definition'] = "Uzklišķiniet uz attēla, lai apskatītu to HD režīmā";
+$lang['Show file metadata'] = "Parādīt faila metadatus";
+$lang['Powered by'] = "Skripts";
+$lang['Preferences'] = "Preferences";
+$lang['Previous'] = "Iepriekšējais";
+$lang['Random pictures'] = "Gadījuma attēli";
+$lang['display a set of random pictures'] = "attēlot gadījuma attēlus";
+$lang['Recent categories'] = "Jaunās kategorijas";
+$lang['display recently updated categories'] = "parādīt atjaunotās kategorijas";
+$lang['Recent period'] = "Jauninājumu periods";
+$lang['Recent pictures'] = "Jaunie attēli";
+$lang['display most recent pictures'] = "parādīt visjaunākos attēlus";
+$lang['Redirection...'] = "Pāradresē...";
+$lang['Please, enter a login'] = "Lūdzu ielogojietis";
+$lang['login mustn\'t end with a space character'] = "logins nedrīkst beigties ar tukšumu - spacebar";
+$lang['login mustn\'t start with a space character'] = "logins nedrīkst sākties ar tukšumu - spacebar";
+$lang['this login is already used'] = "šo loginu jau lieto";
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = "e-pasta adresei jāizskatās xxx@yyy.eee (piemēram : jack@altern.org)";
+$lang['please enter your password again'] = "lūdzu ievadiet savu paroli vēlreiz";
+$lang['Auto login'] = "Auto logins";
+$lang['remove this tag from the list'] = "izņemt šo tagu no saraksta";
+$lang['representative'] = "pārstāvis";
+$lang['return to homepage'] = "atgriezties mājas lapā";
+$lang['Search for Author'] = "Meklēšana pēc autora";
+$lang['Search in Categories'] = "Meklēšana pēc kategorijām";
+$lang['Search by Date'] = "Meklēšana pēc datuma";
+$lang['Date'] = "Datums";
+$lang['End-Date'] = "Beigu datums";
+$lang['Kind of date'] = "Datuma tips";
+$lang['Search for words'] = "Meklēt pēc vārdiem";
+$lang['Search for all terms'] = "Meklēt pēc visiem kritērijiem";
+$lang['Search for any terms'] = "Meklēt pēc jebkura kritērija";
+$lang['Empty query. No criteria has been entered.'] = "Tukšs saraksts. Nav ievadīts neviens kritērijs.";
+$lang['Search Options'] = "Meklēšanas varianti";
+$lang['Search results'] = "Meklēšanas rezultāti";
+$lang['Search in subcategories'] = "Meklēt apakškategorijās";
+$lang['searched words : %s'] = "meklējamie vārdi : %s";
+$lang['Contact'] = "Kontakts";
+$lang['set as category representative'] = "iestatīt kā kategorijas pārstāvi";
+$lang['Show number of comments'] = "Parādīt komentāru skaitu";
+$lang['Show number of hits'] = "Parādīt apskates skaitu";
+$lang['slideshow'] = "slaidšovs";
+$lang['stop the slideshow'] = "pārtraukt slaidšovu";
+$lang['Specials'] = "Speciālie";
+$lang['SQL queries in'] = "SQL pieprasījums";
+$lang['display only recently posted images'] = "attēlot tikai nesen nopublicētos attēlos";
+$lang['return to the display of all images'] = "atgriezties pie visiem attēliem";
+$lang['the beginning'] = "sākums";
+$lang['Interface theme'] = "Interfeisa tēmas";
+$lang['Thumbnails'] = "Sīkbildes";
+$lang['Menu'] = "Menu";
+$lang['A comment on your site'] = "Komentārijs no jūsu vietnes";
+$lang['today'] = "špdien";
+$lang['Update your rating'] = "Atjaunojiet savu vērtējumu";
+$lang['wrong filename'] = "nepareizs faila vārds";
+$lang['the filesize of the picture must not exceed :'] = "attēla faila izmērs nedrīkst pārsniegt :";
+$lang['the picture must be to the fileformat jpg, gif or png'] = "attēla formātam jābūt jpg, gif or png";
+$lang['the height of the picture must not exceed :'] = "attēla augstums nedrīkst pārsniegt :";
+$lang['Optional, but recommended : choose a thumbnail to associate to'] = "Pēc izvēles, bet ieteicams: izvēlēties sīkbildi ar ko saistīt lai";
+$lang['the width of the picture must not exceed :'] = "attēla platums nedrīkst pārsniegt :";
+$lang['can\'t upload the picture on the server'] = "attēlu nav iespējam augšupielādēt";
+$lang['the username must be given'] = "nepieciešams lietotāja vārds";
+$lang['A picture\'s name already used'] = "šis attēla vārds jau tiek lietots";
+$lang['You must choose a picture fileformat for the image'] = "Jums jāizvēlas attēla faila formāts";
+$lang['Name of the picture'] = "attēla vārds";
+$lang['Upload a picture'] = "Augšupielādēt attēlu";
+$lang['Picture uploaded with success, an administrator will validate it as soon as possible'] = "Attēls veiksmīgi augšupielādēts un administrātors to apstiprinās pēc iespējas ātrāk";
+$lang['Upload a picture'] = "Augšupielādēt attēlu";
+$lang['useful when password forgotten'] = "derīgi, ja aizmirsta parole";
+$lang['Quick search'] = "Ātrā meklēšana";
+$lang['Connected user: %s'] = "Pievienotais lietotājs: %s";
+$lang['IP: %s'] = "IP: %s";
+$lang['Browser: %s'] = "Pārlūks: %s";
+$lang['Author: %s'] = "Autors: %s";
+$lang['Comment: %s'] = "Komentārs: %s";
+$lang['Comment by %s'] = "Komentējis %s";
+$lang['User: %s'] = "Lietotājs: %s";
+$lang['Email: %s'] = "E-pasts: %s";
+$lang['Admin: %s'] = "Admins: %s";
+$lang['Registration of %s'] = "Reģistrācija %s";
+$lang['Category: %s'] = "Kategorija: %s";
+$lang['Picture name: %s'] = "Attēla vārds: %s";
+$lang['Creation date: %s'] = "Izveides datums: %s";
+$lang['Waiting page: %s'] = "Gaida lapu: %s";
+$lang['Picture uploaded by %s'] = "Attēlu augšupielādējis %s";
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = "Lietotāja \"viesis\" nepareizs satuss, lietojiet statusu pēc noklusējuma. Lūdzu informējiet webmasteru.";
+$lang['Administrator, webmaster and special user cannot use this method'] = "Administrator, webmaster and special user cannot use this method";
+$lang['a user use already this mail address'] = "cits lietotājs jau lieto šo pasta adresi";
+$lang['Category results for'] = "Kategoriju rezultāti priekš";
+$lang['Tag results for'] = "Tagu rezultāti priekš";
+$lang['from %s to %s'] = "no %s līdz %s";
+$lang['Play of slideshow'] = "Attēlot slaidšovu";
+$lang['Pause of slideshow'] = "Pauzēt slaidšovu";
+$lang['Repeat the slideshow'] = "Atkārtot slaidšovu";
+$lang['Not repeat the slideshow'] = "Neatkārtot slaidšovu";
+$lang['Reduce diaporama speed'] = "Samazināt slaidšova ātrumu";
+$lang['Accelerate diaporama speed'] = "Palielināt slaidšova ātrumu";
+$lang['Submit'] = "Sūtīt";
+$lang['Yes'] = "Jā";
+$lang['No'] = "Nē";
+$lang['%d image'] = "%d attēls";
+$lang['%d images'] = "%d attēli";
+$lang['%d image is also linked to current tags'] = "%d attēls ir arī saistīts ar patrreizējo tagu";
+$lang['%d images are also linked to current tags'] = "%d iattēli ir arī saistīti ar patrreizējiem tagiem";
+$lang['See images linked to this tag only'] = "Skatīt attēlus, kas saistīti tikai ar šo tagu";
+$lang['images posted during the last %d days'] = "attēli, kas publicēti %d dienas";
+$lang['Choose an image'] = "Izvēlieties attēlu";
+$lang['Piwigo Help'] = "Piwigo palīgs";
+$lang['Rank'] = "Rinda";
+$lang['group by letters'] = "grupēt pēc burtiem";
+$lang['letters'] = "burti";
+$lang['show tag cloud'] = "parādīt tagu mākoni";
+$lang['cloud'] = "mākonis";
+$lang['Reset to default values'] = "Iestatīt noklusējuma vērtības";
+$lang['delete all images from your favorites'] = "izdzēst visus attēlus on jūsu izvēlētajiem attēliem";
+$lang['Sent by'] = "Aizūtījis";
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = "Jūsu pārlūks ir bloķējis sīklietotnes - cookies. Lai varētu ielogoties ir jāaktevizē sīklietotnes.";
+
+$lang['Some info about this picture'] = "Informācija par šo attēlu";
+$lang['Some more (technical) info about this picture'] = "Vairāk (tehniskas) informācijas par šo attēlu";
+$lang['edit this comment'] = "labot šo komentāru";
+$lang['Edit a comment'] = "Labot komentāru";
+$lang['Are you sure?'] = "Esat pārliecināts?";
+$lang['(!) This comment requires validation'] = '(!) Šis komentārs prasa apstiprinājumu';
+$lang['Welcome'] = 'Laipni lūdzam';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Lapni lūgti Jūsu Piwigo foto galerijā!';
+$lang['... or browse your empty gallery'] = '... vai pārlūkot jūsu tukšo galeriju';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... vai nerādied lūdzu šo ziņojumu, Es pats tikšu galā ar to';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Sveiki %s, Jūsu Piwigo foto galerija ir tukša!';
+$lang['I want to add photos'] = 'Es gribu pievienot attēlus';
+$lang['Manage this user comment: %s'] = 'Pārvaldīt šo lietotāja komentāriju: %s';
+$lang['Email address is missing. Please specify an email address.'] = "Trūkst e-pasta adreses. Lūdzu norādiet e-pasta adresi.";
+$lang['This author modified following comment:'] = 'Šis autors modificējis sekojošu komentāru:';
+$lang['This author removed the comment with id %d'] = 'Šis autors izdz;esis komentāru ar id %d';
+$lang['delete this comment'] = "izdzēst šo komentāru";
+$lang['validate this comment'] = 'pārbaudīt šo komentāru';
+?>
Index: /branches/2.1/language/lv_LV/index.php
===================================================================
--- /branches/2.1/language/lv_LV/index.php	(revision 6682)
+++ /branches/2.1/language/lv_LV/index.php	(revision 6682)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /branches/2.1/language/lv_LV/iso.txt
===================================================================
--- /branches/2.1/language/lv_LV/iso.txt	(revision 6682)
+++ /branches/2.1/language/lv_LV/iso.txt	(revision 6682)
@@ -0,0 +1,1 @@
+Latviešu [LV]