Index: extensions/gally/gally-default/admin/GallyDefault.class.inc.php
===================================================================
--- extensions/gally/gally-default/admin/GallyDefault.class.inc.php	(revision 6471)
+++ extensions/gally/gally-default/admin/GallyDefault.class.inc.php	(revision 6700)
@@ -197,9 +197,9 @@
   public function getFile($type, $fileName)
   {
-    if(file_exists($this->directories[$type.'.local'].'/'.$fileName))
+    if(@file_exists($this->directories[$type.'.local'].'/'.$fileName))
     {
       return($this->directories[$type.'.local'].'/'.$fileName);
     }
-    elseif(file_exists($this->directories[$type.'.parent'].'/'.$fileName))
+    elseif(@file_exists($this->directories[$type.'.parent'].'/'.$fileName))
     {
       return($this->directories[$type.'.parent'].'/'.$fileName);
Index: extensions/gally/gally-default/release_notes.txt
===================================================================
--- extensions/gally/gally-default/release_notes.txt	(revision 6471)
+++ extensions/gally/gally-default/release_notes.txt	(revision 6700)
@@ -75,7 +75,8 @@
   |         |            |   . The information bar is not displayed with IE7
   |         |            |
-  |         |            |
-  |         |            |
-  |         |            |
+  | 1.3.1   | 2010-07-09 | * mantis: bug 1767
+  |         |            |   . Local.conf file is not loaded
+  |         |            | * mantis: bug 1654
+  |         |            |   . warning on the admin configuration page
   |         |            |
   |         |            |
Index: extensions/gally/gally-default/template/header.tpl
===================================================================
--- extensions/gally/gally-default/template/header.tpl	(revision 6471)
+++ extensions/gally/gally-default/template/header.tpl	(revision 6700)
@@ -57,8 +57,9 @@
       {
         $dir=dirname($_SERVER['SCRIPT_FILENAME'])."/themes/".$theme['id']."/conf/";
+        $dirlocal=dirname($_SERVER['SCRIPT_FILENAME'])."/local/themes/".$theme['id']."/conf/";
         $this->assign("default_conf", $dir."default.conf");
-        if(file_exists($dir."local.conf"))
+        if(file_exists($dirlocal."local.conf"))
         {
-          $this->assign("local_conf", $dir."local.conf");
+          $this->assign("local_conf", $dirlocal."local.conf");
         }
         else
Index: extensions/gally/gally-default/template/mainpage_categories.tpl
===================================================================
--- extensions/gally/gally-default/template/mainpage_categories.tpl	(revision 6471)
+++ extensions/gally/gally-default/template/mainpage_categories.tpl	(revision 6700)
@@ -7,5 +7,5 @@
       <div class="illustration">
         <a href="{$cat.URL}">
-          <img src="{$cat.TN_SRC}" alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '} - {'shows images at the root of this category'|@translate}">
+          <img {if isset($cat.EXTRA_CLASS)}class="{$cat.EXTRA_CLASS}"{/if} src="{$cat.TN_SRC}" alt="{$cat.TN_ALT}" title="{$cat.NAME|@replace:'"':' '} - {'shows images at the root of this category'|@translate}">
         </a>
       </div>
Index: extensions/gally/gally-default/template/thumbnails.tpl
===================================================================
--- extensions/gally/gally-default/template/thumbnails.tpl	(revision 6471)
+++ extensions/gally/gally-default/template/thumbnails.tpl	(revision 6700)
@@ -9,5 +9,5 @@
           <span class="wrap2">
           <a href="{$thumbnail.URL}">
-            <img class="thumbnail" src="{$thumbnail.TN_SRC}" alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}" />
+            <img {if isset($thumbnail.LONGDESC) and $thumbnail.LONGDESC!=""}longdesc="{$thumbnail.LONGDESC}"{/if} class="thumbnail {if isset($thumbnail.EXTRA_CLASS)}{$thumbnail.EXTRA_CLASS}{/if}" src="{$thumbnail.TN_SRC}" alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}" />
           </a>
           </span>
Index: extensions/gally/gally-default/themeconf.inc.php
===================================================================
--- extensions/gally/gally-default/themeconf.inc.php	(revision 6471)
+++ extensions/gally/gally-default/themeconf.inc.php	(revision 6700)
@@ -2,5 +2,5 @@
 /*
 Theme Name: Gally
-Version: 1.3.0
+Version: 1.3.1
 Description: Parent theme for all the Gally themes
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=382