Index: /extensions/rv_thumbs/trunk/language/en_UK/description.txt
===================================================================
--- /extensions/rv_thumbs/trunk/language/en_UK/description.txt	(revision 6719)
+++ /extensions/rv_thumbs/trunk/language/en_UK/description.txt	(revision 6719)
@@ -0,0 +1,1 @@
+Let users see a variable number of thumbnails on index page
Index: /extensions/rv_thumbs/trunk/language/en_UK/index.php
===================================================================
--- /extensions/rv_thumbs/trunk/language/en_UK/index.php	(revision 6719)
+++ /extensions/rv_thumbs/trunk/language/en_UK/index.php	(revision 6719)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 4211 2009-11-05 21:38:36Z ddtddt $
+// | last update   : $Date: 2009-11-05 22:38:36 +0100 (jeu. 05 nov. 2009) $
+// | last modifier : $Author: ddtddt $
+// | revision      : $Revision: 4211 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_thumbs/trunk/language/fr_FR/description.txt
===================================================================
--- /extensions/rv_thumbs/trunk/language/fr_FR/description.txt	(revision 6719)
+++ /extensions/rv_thumbs/trunk/language/fr_FR/description.txt	(revision 6719)
@@ -0,0 +1,1 @@
+Permet de changer rapidement le nombre de miniatures affichées par page
Index: /extensions/rv_thumbs/trunk/language/fr_FR/index.php
===================================================================
--- /extensions/rv_thumbs/trunk/language/fr_FR/index.php	(revision 6719)
+++ /extensions/rv_thumbs/trunk/language/fr_FR/index.php	(revision 6719)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 4211 2009-11-05 21:38:36Z ddtddt $
+// | last update   : $Date: 2009-11-05 22:38:36 +0100 (jeu. 05 nov. 2009) $
+// | last modifier : $Author: ddtddt $
+// | revision      : $Revision: 4211 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>