Index: /extensions/PWG_Stuffs/language/hr_HR/description.txt
===================================================================
--- /extensions/PWG_Stuffs/language/hr_HR/description.txt	(revision 6745)
+++ /extensions/PWG_Stuffs/language/hr_HR/description.txt	(revision 6745)
@@ -0,0 +1,1 @@
+Dodavanje modula u galeriju
Index: /extensions/PWG_Stuffs/language/hr_HR/index.php
===================================================================
--- /extensions/PWG_Stuffs/language/hr_HR/index.php	(revision 6745)
+++ /extensions/PWG_Stuffs/language/hr_HR/index.php	(revision 6745)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/PWG_Stuffs/language/hr_HR/plugin.lang.php
===================================================================
--- /extensions/PWG_Stuffs/language/hr_HR/plugin.lang.php	(revision 6745)
+++ /extensions/PWG_Stuffs/language/hr_HR/plugin.lang.php	(revision 6745)
@@ -0,0 +1,163 @@
+<?php
+
+$lang['stuffs_mods_management'] = 'Upravljanje modulima';
+$lang['stuffs_add_mod'] = 'Dodaj modul';
+$lang['stuffs_edit_mod'] = 'Uredi modul';
+
+$lang['stuffs_module_title'] = 'Naziv modula';
+$lang['stuffs_desc'] = 'Opis';
+$lang['stuffs_only_for_admin'] = '(samo za administrativni panel)';
+$lang['stuffs_type'] = 'Vrsta modula';
+$lang['stuffs_position'] = 'Pozicija';
+$lang['stuffs_id_ligne'] = 'ID linija';
+$lang['stuffs_width'] = 'Širina';
+$lang['stuffs_action'] = 'Akcije';
+$lang['stuffs_edit'] = 'Izmjeni modul';
+$lang['stuffs_delete'] = 'Obriši modul';
+$lang['stuffs_confirm_delete'] = 'Jeste li sigurni da želite obrisati modul %s?';
+$lang['stuffs_main_block'] = 'Glavni blok';
+
+$lang['stuffs_add_module'] = 'Dodaj novi modul';
+$lang['stuffs_module_config'] = 'Podešavanje modula';
+$lang['stuffs_visual_config'] = 'Podešavanje prikaza';
+$lang['stuffs_module_options'] = 'Opcije modula';
+$lang['stuffs_authorized_group'] = 'Autorizirane grupe';
+$lang['stuffs_authorized_users'] = 'Autorizirani korisnici';
+$lang['stuffs_public_module'] = '(Ostaviti prazno za javni modul)';
+$lang['stuffs_show_title'] = 'Prikaži naslov modula';
+$lang['stuffs_show_module_on'] = 'Prikaži modul :';
+$lang['stuffs_show_on_home'] = 'Na glavnoj stranici';
+$lang['stuffs_show_on_cats'] = 'Na stranicama kategorija';
+$lang['stuffs_show_on_pictures'] = 'Na stranicama slika';
+$lang['stuffs_no_options'] = 'Bez opcija za ovaj modul';
+
+//Messages d'infos
+$lang['stuffs_order_saved'] = 'Poredak uspješno spremljen.';
+
+
+// Messages d'erreurs
+$lang['stuffs_error_no_mod_selected'] = 'Niste odabrali niti jedan modul.';
+$lang['stuffs_no_name'] = 'Morate navesti naziv modula';
+
+//------------------------------------------------------------------------------
+//                            Module LastComs
+//------------------------------------------------------------------------------
+
+$lang['module_name_lastcoms'] = 'Zadnji komentari';
+$lang['module_desc_lastcoms'] = 'Prikazuje zadnje postavljene komentare';
+
+$lang['lastcoms_no_nb_comments'] = 'Morate navesti broj komentara.';
+$lang['lastcoms_config'] = 'Podešavanja';
+$lang['lastcoms_nb_comments'] = 'Broj komentara za prikaz';
+$lang['lastcoms_show_buttons'] = 'Prikaži administrativne gumbe';
+$lang['lastcoms_dim'] = 'Veličina umanjene sličice';
+$lang['lastcoms_width'] = 'Maksimalna širina';
+$lang['lastcoms_height'] = 'Maksimalna visina';
+$lang['lastcoms_nb_cadres'] = 'Broj okvira po liniji';
+$lang['lastcoms_taille_cadres'] = 'Visina okvira';
+
+
+//------------------------------------------------------------------------------
+//                            Module Logon
+//------------------------------------------------------------------------------
+
+$lang['module_name_logon'] = 'Prijava';
+$lang['module_desc_logon'] = 'Prikazuje blok sa prijavom';
+
+$lang['logon_remove_menubar_block'] = 'Ukloni "Quick connect" ("Brzu prijavu") iz izbornika';
+
+
+//------------------------------------------------------------------------------
+//                            Module Personal
+//------------------------------------------------------------------------------
+
+$lang['module_name_personal'] = 'Osobni blok';
+$lang['module_desc_personal'] = 'Prikazuje osobno kreirani blok teksta na naslovnici (ili nekoj drugoj stranici)';
+
+$lang['personal_content'] = 'sadržaj';
+
+
+//------------------------------------------------------------------------------
+//                            Module Tags
+//------------------------------------------------------------------------------
+
+$lang['module_name_tags'] = 'Tagovi';
+$lang['module_desc_tags'] = 'Prikazuje tagove galerije';
+
+$lang['stuffs_tags_default_display'] = 'Prikaz tagova';
+$lang['stuffs_tags_cloud'] = 'Oblak tagova';
+$lang['stuffs_tags_letters'] = 'Grupiraj prema slovima';
+$lang['stuffs_tags_cumulus'] = 'Koristi cumulus mod (<a href=http://piwigo.org/ext/extension_view.php?eid=263 target="_blank">Cumulus Tags Cloud</a> plugin mora biti instaliran)';
+
+
+//------------------------------------------------------------------------------
+//                            Module Piclenswall
+//------------------------------------------------------------------------------
+
+$lang['module_name_piclenswall'] = 'Piclens 3DWall';
+$lang['module_desc_piclenswall'] = 'Prikazuje Piclens 3DWall (3D zid sa slikama) (<a href="http://piwigo.org/ext/extension_view.php?eid=234" target="_blank">Cooliris/piclens</a> plugin mora biti instaliran)';
+
+$lang['piclenswall_height'] = 'Visina zida';
+$lang['piclenswall_background_color'] = 'Boja pozadine';
+$lang['piclenswall_black'] = 'Crna';
+$lang['piclenswall_white'] = 'Bijela';
+$lang['piclenswall_info'] = 'Kako bi zid ispravno funkcionirao';
+$lang['piclenswall_info_piclens'] = 'Morate instalirati i aktivirati <a href="http://piwigo.org/ext/extension_view.php?eid=234">Cooliris/piclens</a> plugin.';
+$lang['piclenswall_info_crossdomain'] = 'Morate kopirati <a href="%s">crossdomain.xml</a> datoteku u ishodište (root) svoje stranice (ili izmjenite postojeću datoteku).';
+$lang['piclenswall_info_param'] = 'Postavke 3D zida moraju biti modificirane na stranici za podešavanje <b>Cooliris-piclens/b> plugina.';
+
+//------------------------------------------------------------------------------
+//                            Module Most Visited
+//------------------------------------------------------------------------------
+
+$lang['module_name_mostvisited'] = 'Najposjećenije';
+$lang['module_desc_mostvisited'] = 'Prikazuje x najćešće posjećenih slika u galeriji ili kategoriji';
+
+$lang['stuffs_mv_nb_images'] = 'Najveći broj slika za prikaz';
+$lang['stuffs_mv_category_display'] = 'Prikaži na stranicama kategorija';
+$lang['stuffs_mv_all_cats'] = 'Svih kategorija';
+$lang['stuffs_mv_w_thumb'] = 'Samo kategorija sa umanjenim sličicama';
+$lang['stuffs_mv_wo_thumb'] = 'Samo kategorija bez umanjenih sličica';
+$lang['stuffs_mv_selected_cats'] = 'Samo odabranih kategorija';
+
+$lang['stuffs_mv_cat_selection'] = 'Odabir kategorija';
+$lang['stuffs_mv_hold_ctrl'] = 'držite CTRL';
+
+//------------------------------------------------------------------------------
+//                            Module Best Rated
+//------------------------------------------------------------------------------
+
+$lang['module_name_bestrated'] = 'Najbolje ocijenjene';
+$lang['module_desc_bestrated'] = 'Prikazuje x najbolje ocjenjenih slika u galeriji ili kategoriji';
+
+//------------------------------------------------------------------------------
+//                            Module Recent
+//------------------------------------------------------------------------------
+
+$lang['module_name_recent'] = 'Nedavno objavljene slike';
+$lang['module_desc_recent'] = 'Prikazuje x nedavno objavljenih slika u galeriji ili kategoriji (ako postoje)';
+
+//------------------------------------------------------------------------------
+//                            Module Random
+//------------------------------------------------------------------------------
+
+$lang['module_name_random'] = 'Slučajno odabrane slike';
+$lang['module_desc_random'] = 'Prikazuje x slučajno odabranih slika u galeriji ili kategoriji';
+
+//------------------------------------------------------------------------------
+//                            Module Citation
+//------------------------------------------------------------------------------
+
+$lang['module_name_citation'] = 'Slučajno odabrani citat';
+$lang['module_desc_citation'] = 'Prikazuje slučajno odabrani citat';
+$lang['module_Citation_lang'] = 'Jezik';
+$lang['module_Citation_code'] = 'Povezani kod';
+
+//------------------------------------------------------------------------------
+//                            Module Featured Photos
+//------------------------------------------------------------------------------
+
+$lang['module_name_featuredphotos'] = 'Istaknute fotografije';
+$lang['module_desc_featuredphotos'] = 'Prikazuje omiljene slike webmastera';
+
+?>