Index: /extensions/gally/gally-default/admin/GallyDefault.class.inc.php
===================================================================
--- /extensions/gally/gally-default/admin/GallyDefault.class.inc.php	(revision 6751)
+++ /extensions/gally/gally-default/admin/GallyDefault.class.inc.php	(revision 6752)
@@ -32,5 +32,5 @@
   protected $themeProperties = Array(
       'name' => 'Gally/Default',
-      'version' => '1.3.0'
+      'version' => '1.3.1'
     );
 
@@ -88,5 +88,5 @@
   {
     $this->config = new Conf();
-    $this->config->setFileName($this->directories['conf.local']."/default.conf");
+    $this->config->setFileName($this->directories['conf.parent']."/default.conf");
     $this->config->read();
     $this->config->setFileName(PHPWG_ROOT_PATH."local/themes/".basename(dirname($this->directories['conf.local']))."/conf/local.conf");
Index: /extensions/gally/gally-default/admin/gally_img_other.tpl
===================================================================
--- /extensions/gally/gally-default/admin/gally_img_other.tpl	(revision 6751)
+++ /extensions/gally/gally-default/admin/gally_img_other.tpl	(revision 6752)
@@ -57,4 +57,16 @@
   }
 
+  function setOptionCB(id)
+  {
+    if($('#'+id+'_cb').get(0).checked)
+    {
+      $('#'+id).val('yes');
+    }
+    else
+    {
+      $('#'+id).val('no');
+    }
+  }
+
 </script>
 {/literal}
@@ -104,8 +116,13 @@
       <span style="font-style:italic;margin-left:20px;">!!!&nbsp;{'gally_image_auto_scroll_warning'|@translate}&nbsp;!!!</span>
     </p>
-
-
     <label><input type="radio" name="f_imageAutoScroll" id="iimageAutoScroll" value="yes" {if $options.imageAutoScroll=="yes"}checked{/if}>&nbsp;{'gally_image_auto_scroll_yes'|@translate}</label><br>
     <label><input type="radio" name="f_imageAutoScroll" id="iimageAutoScroll" value="no" {if $options.imageAutoScroll=="no"}checked{/if}>&nbsp;{'gally_image_auto_scroll_no'|@translate}</label><br>
+
+    <br>
+    <label>
+      <input type="checkbox" id="iimageSimulateHighRes_cb" {if $options.imageSimulateHighRes=="yes"}checked{/if} onclick="setOptionCB('iimageSimulateHighRes');">&nbsp;{'gally_image_simulate_high_res'|@translate}
+      <input type="hidden" name="f_imageSimulateHighRes" id="iimageSimulateHighRes" value="{$options.imageSimulateHighRes}">
+    </label><br>
+
   </fieldset>
 
Index: /extensions/gally/gally-default/conf/default.conf
===================================================================
--- /extensions/gally/gally-default/conf/default.conf	(revision 6751)
+++ /extensions/gally/gally-default/conf/default.conf	(revision 6752)
@@ -34,4 +34,13 @@
 #     works well with FF2, FF3, Opera, Safari
 imageAutoScroll = "yes"
+
+
+# -- 1.3.1 --
+# the 'imageSimulateHighRes' option can take theses values :
+#   "yes" => if there is no high res file and if the image need scroll, the
+#            template simulate an high res image managment
+#   "no"  => don't simulate high res image
+imageSimulateHighRes = "yes"
+
 
 # The 'imageCenterMode' option can take theses values :
@@ -187,4 +196,5 @@
 
 
+
 # ------- Menu parameters ------------------------------------------------------
 
Index: /extensions/gally/gally-default/js/gallyjs-tpp.js
===================================================================
--- /extensions/gally/gally-default/js/gallyjs-tpp.js	(revision 6751)
+++ /extensions/gally/gally-default/js/gallyjs-tpp.js	(revision 6752)
@@ -160,4 +160,17 @@
 }
 
+function simulateHighRes()
+{
+  if(isScrollable && options.imageHaveHighRes==false && options.imageSimulateHighRes)
+  {
+    $('#theImgContainer').bind('click', function ()
+      {
+        openDisplayHigh($('#theImg').attr('src'));
+      }
+    ).addClass('pointer');
+  }
+
+}
+
 function initializeImageMode(mode)
 {
@@ -241,4 +254,6 @@
 
   $("#theImage").css("top", imgTop);
+
+  simulateHighRes();
 
 }
Index: /extensions/gally/gally-default/language/en_UK/theme.lang.php
===================================================================
--- /extensions/gally/gally-default/language/en_UK/theme.lang.php	(revision 6751)
+++ /extensions/gally/gally-default/language/en_UK/theme.lang.php	(revision 6752)
@@ -57,3 +57,7 @@
 $lang['gally_image_auto_scroll_warning'] = 'This function is automatically disabled with MS Internet Explorer version of which is prior to 8';
 
+// v1.3.1
+$lang['gally_image_simulate_high_res'] = 'Simulate the presence of a high resolution image for panoramic images';
+
+
 ?>
Index: /extensions/gally/gally-default/language/fr_FR/theme.lang.php
===================================================================
--- /extensions/gally/gally-default/language/fr_FR/theme.lang.php	(revision 6751)
+++ /extensions/gally/gally-default/language/fr_FR/theme.lang.php	(revision 6752)
@@ -62,3 +62,7 @@
 $lang['gally_image_auto_scroll_no'] = 'Défilement manuel de la photo';
 $lang['gally_image_auto_scroll_warning'] = 'Cette fonction est désactivée automatiquement avec les navigateurs MS Internet Explorer dont la version est antérieure à 8';
+
+// v1.3.1
+$lang['gally_image_simulate_high_res'] = 'Simuler la présence d\'une image haute résolution pour les images panomariques';
+
 ?>
Index: /extensions/gally/gally-default/release_notes.txt
===================================================================
--- /extensions/gally/gally-default/release_notes.txt	(revision 6751)
+++ /extensions/gally/gally-default/release_notes.txt	(revision 6752)
@@ -75,8 +75,19 @@
   |         |            |   . The information bar is not displayed with IE7
   |         |            |
-  | 1.3.1   | 2010-07-09 | * mantis: bug 1767
+  | 1.3.1   | 2010-08-12 | * mantis: bug 1767
   |         |            |   . Local.conf file is not loaded
   |         |            | * mantis: bug 1654
   |         |            |   . warning on the admin configuration page
+  |         |            | * not referenced bug
+  |         |            |   . default conf is not loaded if there is a
+  |         |            |     local.conf file
+  |         |            | * give the possibility to manage panoramic images as
+  |         |            |   a high resolution image
+  |         |            |
+  |         |            |
+  |         |            |
+  |         |            |
+  |         |            |
+  |         |            |
   |         |            |
   |         |            |
Index: /extensions/gally/gally-default/template/config.js.tpl
===================================================================
--- /extensions/gally/gally-default/template/config.js.tpl	(revision 6751)
+++ /extensions/gally/gally-default/template/config.js.tpl	(revision 6752)
@@ -4,6 +4,8 @@
 // configuration options for interfaces
 options = { {/literal}
+  imageHaveHighRes:{if isset($high)}true{else}false{/if},
 {if $BODY_ID=='thePicturePage'}
   imageAutoScroll:{if #imageAutoScroll#=='yes'}true{else}false{/if},
+  imageSimulateHighRes:{if #imageSimulateHighRes#=='yes'}true{else}false{/if},
   imageCenterMode:"{#imageCenterMode#}",
   imageCenterOffset:{#imageCenterOffset#},